package com.unipi.talepis.protal2023_2;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;

import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity3 extends AppCompatActivity {
    EditText fullName, email;
    SQLiteDatabase sqLiteDatabase;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main3);
        fullName = findViewById(R.id.editTextText2);
        email = findViewById(R.id.editTextText3);
        sqLiteDatabase = openOrCreateDatabase("DB1.db",MODE_PRIVATE,null);
        sqLiteDatabase.execSQL("Create table if not exists USER(" +
                "fullname TEXT," +
                "email TEXT PRIMARY KEY)");
        sqLiteDatabase.execSQL("Insert or ignore into USER values('Alexandra Paktiti','alex@unipi.gr')");
        sqLiteDatabase.execSQL("Insert or ignore into USER values('Ilias Brinias','brin@yahoo.gr')");
    }
    public void insert(View view){
        String fullnameStr = fullName.getText().toString();
        String emailStr = email.getText().toString();
        sqLiteDatabase.execSQL("Insert into USER Values(?,?)",new String[]{fullnameStr,emailStr});
        Toast.makeText(this, "Done!", Toast.LENGTH_SHORT).show();
    }
    public void select(View view){
        Cursor cursor = sqLiteDatabase.rawQuery("Select * From USER",null);
        StringBuilder builder = new StringBuilder();
        while (cursor.moveToNext()){
            builder.append("Fullname: ").append(cursor.getString(0)).append("\n");
            builder.append("Email: ").append(cursor.getString(1)).append("\n\n");
        }
        showMessage("Users",builder.toString());
    }
    private void showMessage(String title, String message){
        new AlertDialog.Builder(this)
                .setCancelable(true)
                .setTitle(title)
                .setMessage(message)
                .show();
    }
}